summaryrefslogtreecommitdiff
path: root/net.Linux
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-04-19 06:46:29 +0000
committerRoy Marples <roy@marples.name>2007-04-19 06:46:29 +0000
commitf05ac25185ddcd4f84b35ff3ffdcc54a36bc6bd7 (patch)
treeb2babd7a02ed52e638f175bac60a6b6010382dd5 /net.Linux
parentfb2f0495a6e25a304675412d9f635e73884e7c44 (diff)
downloadopenrc-f05ac25185ddcd4f84b35ff3ffdcc54a36bc6bd7.tar.gz
openrc-f05ac25185ddcd4f84b35ff3ffdcc54a36bc6bd7.tar.bz2
openrc-f05ac25185ddcd4f84b35ff3ffdcc54a36bc6bd7.tar.xz
Fix bridge some more, remove superflous warning from vewarn and error when no interface correctly
Diffstat (limited to 'net.Linux')
-rw-r--r--net.Linux/bridge.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/net.Linux/bridge.sh b/net.Linux/bridge.sh
index a97e525..a6913fd 100644
--- a/net.Linux/bridge.sh
+++ b/net.Linux/bridge.sh
@@ -38,17 +38,17 @@ bridge_pre_start() {
eend 1
return 1
fi
-
- eval set -- ${opts}
- for x in "$@" ; do
- case " ${x} " in
- *" ${IFACE} "*) ;;
- *) x="${x} ${IFACE}" ;;
- esac
- brctl ${x}
- done
fi
+ eval $(_get_array "brctl_${IFVAR}")
+ for x in "$@" ; do
+ set -- ${x}
+ x=$1
+ shift
+ set -- "${x}" "${IFACE}" "$@"
+ brctl "$@"
+ done
+
if [ -n "${ports}" ] ; then
einfo "Adding ports to ${IFACE}"
eindent
@@ -66,7 +66,7 @@ bridge_pre_start() {
done
eoutdent
fi
- )
+ ) || return 1
# Bring up the bridge
_up